Archive for November, 2007

Nov
25

the experiment begins

I’ve been craving to learn how to utilize sensors, actuators, controller boards, and osc to build some interactive environments (post-robotic-ecologies-trauma). Suspecting that most of these products would be made in China anyways and that they’d be quite cheap, my friend and I have started to explore the world of Zhong Guan Cun. We ran into a few stores that specialize in making sensors and circuit boards. We spent about $10. We now have about a hundred LEDs, an infrared sensor, a photosensor, and etc -_-b

It wasn’t easy getting a controller board that we could burn customized program on to. Luckily, we got in touch with an IBM engineer that builds Arduino boards for hobby. So, now the experiment begins :)

Experiment

Experiment

Nov
20

Charette

last weekend, we had a deadline for the xiamen project. we didn’t sleep for maybe two nights. intense but the best times :)

the project is finally ready…. props to my team for all the hard work. the project was approved by the client and is moving forward!

here’s a few images from the final booklet.

 

Charette
me + wangwei

Charette
wangwei and meiling

Charette
joao in tokyo + dave in xiamen. cranking renders

Charette
mat. germans cad on beer -_-b

Charette
koreans cad on tea, coffee, and energy drinks

Charette
must pingpong

Charette
sunrise

Charette
good morning. spider :P

Charette
few hours before the flight to xiamen.

Nov
20

craziness..

I think Beijing is probably one of the most exciting places to be especially for architecture. These pictures speak for themselves. Pure craziness..

Olympic Village
beijing olympic village

 

Bird’s Nest
the bird’s nest

Bird’s Nest
inside the nest

Water Cube
inside the water cube

Water Cube

Water Cube
close up of the voronoi structures

CCTV
CCTV almost touching

CCTV
cladding

CCTV
closer view of the structure

all pics by dave nightingale.

Nov
08

beijing night in construction

the entire beijing is in construction. even at night times. this city never sleeps -_-v i’m not really sure why, but i’m starting like dark/black images with high-contrast-colors..

Beijing Night
guijie. ghost street.

 

Beijing Night
hutong pizza. best pizza in beijing.

Beijing Night
chuan. symbol for xijiang style skewers.

Beijing Night
quik. chinese seven eleven.

Beijing Night
mai dang lao. md under construction.

Beijing Night
coffee salon. my favorite coffee shop in beijing :)

Beijing Night
di tie. new subway line for the olympic.

Beijing Night
a homeless lives in the forbidden city.

Nov
07

xm

update on xm. hmmm. maybe a little too much..

xm_p

Nov
07

coordinates

If the tower you’re designing is super curvy and if none of your floor plates are shaped the same, it becomes really hard to transfer the geometry into construction. One of the most basic information that the builders need is coordinates from different areas of the building. The more organic the design, the more points you’ll have to provide them in order for the actual structure to come close to what you designed. aka. This can take forever.

So here’s a little script that will do this for you. This is actually the first rhinoscript I wrote :P  First it’ll ask you to choose a base point. The coordinates of the other points will be calculated using the base point as (0,0,0).

BasePointCoordinates

Sub CoordinatesBasePoint

Dim baseObject
baseObject = Rhino.GetPoint(“Select base point to be set as (0,0,0)”)
If IsNull(baseObject) Then Exit Sub

Dim arrObjects
arrObjects = Rhino.GetObjects(“Select points to calculate coordinates”, 1, True, True)
If Not IsArray(arrObjects) Then Exit Sub

Dim arrPoint0, arrVector, arrPoint3
arrPoint0 = Array(0,0,0)
arrVector = Rhino.VectorCreate(baseObject, arrPoint0)

Dim strObject, arrPoint, arrPoint2
For Each strObject In arrObjects
arrPoint = Rhino.PointCoordinates(strObject)
arrPoint2 = Rhino.PointSubtract(arrPoint, arrVector)
Rhino.AddTextDot Rhino.Pt2Str(arrPoint2, 3), arrPoint
Next

End Sub

CoordinatesBasePoint

Nov
02

curve length

When I first started to learn how to script in mel, I had the hardest time trying to figure out the length of a spline curve. This is super easy, when a line is composed of purely straight lines. But, when a curve starts to bend, it gets extremely complicated. I wanted to understand exactly how a curve was shaped based on its degree and control points. I ran into good amount of websites and journals that explain spline curves with math formulas. I never figured out how to find out a curve length using script through pure math. However, I ended up learning a lot about spline curves, and this was probably the most helpful article that I ran into: Arc Length Parameterization of Spline Curves.

After a while of trying to figure this thing out, I found out about the arc length tool -__- And, also found a script that extracts the measurement from the arc length node. I modified the script a tiny bit and made it into a function, which looks like this:

ArcLength

proc float getCurveLength( string $curve )
{
string $arcLenNode = `createNode arcLengthDimension`;
connectAttr -f ( $curve + “.worldSpace[0]” ) ( $arcLenNode + “.nurbsGeometry” );

setAttr ( $arcLenNode + “.uParamValue” ) `getAttr ( $curve + “.maxValue” )`;

float $curveLength = `getAttr ( $arcLenNode + “.arcLength” )`;

string $parent[] = `listRelatives -p $arcLenNode`;
delete $parent;

return $curveLength;
}